DPMSInfo(3) | Library Functions Manual | DPMSInfo(3)

# NAME

DPMSInfo - returns information about the current DPMS state

# SYNOPSIS

    cc [ flag ... ] file ... -lXext [ library ... ]
    #include <X11/extensions/dpms.h>

    Status DPMSInfo
    (

          Display *display,

          CARD16 *power_level,

          BOOL *state
    );

# ARGUMENTS

display
  Specifies the connection to the X server
power_level
  Specifies the current power level
state
  Specifies the current DPMS state

# DESCRIPTION

The DPMSInfo function returns information about the current Display Power Management Signaling (DPMS) state. The state return parameter indicates whether or not DPMS is enabled (TRUE) or disabled (FALSE). The power_level return parameter indicates the current power level (one of DPMSModeOn, DPMSModeStandby, DPMSModeSuspend, or DPMSModeOff.)

# RETURN VALUES

TRUE
  The DPMSInfo function returns TRUE, if values are returned.
FALSE
  The DPMSInfo function returns FALSE, if no values are returned.

# SEE ALSO

DPMSEnable(3)

X Version 11 | X FUNCTIONS